Bug 194333 - Update to 1.0.50-3 breaks munin monitoring app.
Summary: Update to 1.0.50-3 breaks munin monitoring app.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rrdtool
Version: 5
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-07 13:03 UTC by Gustavo Maciel Dias Vieira
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-06-07 18:32:01 UTC


Attachments (Terms of Use)

Description Gustavo Maciel Dias Vieira 2006-06-07 13:03:36 UTC
Description of problem:
After the update to rrdtool-1.0.50-3.fc5, the munin system monitoring
application stopped working in my FC5 box. It fails with the following error:

/usr/share/munin/munin-update [horatio]: symbol lookup error:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/RRDs/RRDs.so:
undefined symbol: rrd_clear_error
/usr/bin/perl: symbol lookup error:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/RRDs/RRDs.so:
undefined symbol: rrd_clear_error

It worked up to rrdtool-1.0.50-1.fc5.


Version-Release number of selected component (if applicable):
rrdtool-1.0.50-3.fc5


How reproducible:
Always.


Steps to Reproduce:
1. Run munin.
2.
3.

Comment 1 Matthias Saou 2006-06-07 13:08:00 UTC
Reassigning to Jarod, since he is the one who made that update, and probably the
new maintainer of the package (Jarod: You can edit the owners file whenever you
want).

Comment 2 Jarod Wilson 2006-06-07 13:54:34 UTC
Gustavo: Can you try rebuilding -3 without the --disable-static line (you'll
also have to re-add *.a to the %files list)? I'm guessing that might be the
culprit. There's some wonkiness w/rrdtool and its static libs at times, but
we're not supposed to package static libs anymore.

http://cvs.fedora.redhat.com/viewcvs/rpms/rrdtool/FC-5/rrdtool.spec?root=extras&r1=1.12&r2=1.13

If that's not it, there are one or two other potential culprits we can look at.
If that *is* it, I'll have to dig into why the static libs are needed. May be
that RRDs.so is what's needing the static libs...

Matthias: I actually made the change to the owners file yesterday afternoon, but
I guess the changes weren't sucked into bugzilla just yet. :)

Comment 3 Jarod Wilson 2006-06-07 17:19:15 UTC
Okay, something wonky w/the RRDs.so build. Can't use --disable-static for some
reason, so I'm respinning w/o that configure option and simply excluding the
static libs from the resulting package, and everything appears to be fine
(installed and verified w/munin on my own system here). Look for a 1.0.50-4.fc5
package coming shortly.

Note that 1.2.13-3 in rawhide works perfectly fine w/--disable-static, but the
1.0.x code isnt' being maintained anymore. Ah, the fun of hacks...

Comment 4 Gustavo Maciel Dias Vieira 2006-06-08 00:30:24 UTC
Thanks Jarod! I was going to try rebuilding it now. It's fantastic I won't have
to! :)



Note You need to log in before you can comment on or make changes to this bug.